Name:		fastjar
Version:	0.98
Release:	%mkrel 15
Epoch:		0
Summary:	Archive tool for Java archives
License:	GPLv2+
Group:		Development/Java
URL:		https://savannah.nongnu.org/projects/fastjar
Source0:	https://download.savannah.nongnu.org/releases/fastjar/fastjar-%{version}.tar.gz
Source1:	https://download.savannah.nongnu.org/releases/fastjar/fastjar-%{version}.tar.gz.sig

# 
# Security Patches
# P100 -> ...
#
Patch0:		fastjar-0.98-CVE-2010-0831,2322.diff
BuildRequires:	pkgconfig(zlib)

%description
fastjar is an implementation of Sun's jar utility that comes with
the JDK, written entirely in C, and runs in a fraction of the time
while being feature compatible.

Also included in this package is the grepjar program which can be
used to search files in a jar file for a pattern.

%prep
%setup -q
%autopatch -p0

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%attr(0755,root,root) %{_bindir}/fastjar
%attr(0755,root,root) %{_bindir}/grepjar
%{_infodir}/fastjar.info*
%{_mandir}/man1/fastjar.1*
%{_mandir}/man1/grepjar.1*




%changelog
* Wed Jun 25 2025 umeabot <umeabot> 0:0.98-15.mga10
+ Revision: 2194889
- Mageia 10 Mass Rebuild

* Mon Mar 14 2022 umeabot <umeabot> 0:0.98-14.mga9
+ Revision: 1791007
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0:0.98-13.mga8
+ Revision: 1489025
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 03 2018 tv <tv> 0:0.98-12.mga7
+ Revision: 1256647
- rely on filetriggers for info system (mga#23482)

* Wed Jun 06 2018 wally <wally> 0:0.98-11.mga7
+ Revision: 1235010
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0:0.98-10.mga6
+ Revision: 944763
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:0.98-9.mga5
+ Revision: 743724
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:0.98-8.mga5
+ Revision: 679093
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0:0.98-7.mga4
+ Revision: 504352
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0:0.98-6.mga3
+ Revision: 350065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 27 2011 ahmad <ahmad> 0:0.98-5.mga1
+ Revision: 61200
- imported package fastjar


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0:0.98-5mdv2011.0
+ Revision: 605117
- rebuild

* Tue Jun 22 2010 Oden Eriksson <oeriksson@mandriva.com> 0:0.98-4mdv2010.1
+ Revision: 548630
- P0: security fix for CVE-2010-0831 (ubuntu)

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:0.98-3mdv2010.1
+ Revision: 522599
- rebuilt for 2010.1

  + Sandro Cazzaniga <kharec@mandriva.org>
    - Clean spec file
    - use %%make and %%configure2_5x

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0:0.98-1mdv2010.0
+ Revision: 435991
- update to new version 0.98

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:0.97-2mdv2010.0
+ Revision: 424426
- rebuild

* Mon Nov 24 2008 David Walluck <walluck@mandriva.org> 0:0.97-1mdv2009.1
+ Revision: 306120
- 0.97

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0:0.95-3mdv2009.0
+ Revision: 220742
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0:0.95-2mdv2008.1
+ Revision: 149713
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 14 2007 David Walluck <walluck@mandriva.org> 0:0.95-1mdv2008.0
+ Revision: 63435
- BuildRequires: zlib-devel
- Import fastjar



* Tue Aug 14 2007 David Walluck <walluck@mandriva.org> 0:0.95-1mdv2008.0
- release
